/* $Id: FoundRect.java 125 2011-03-09 09:49:51Z ohura $ */
package jp.ac.hokudai.meme.core_smart_gs.searcher;

/**
 * @author hajime
 * <p> FoundRect オブジェクトはスコアとPagedRect[]をセットにして保持します。</p>
 */
public class FoundRect {
	public final double score_;
    public final PagedRect[] pRectList_;
    
    /**
     * <p></p>
     * @param pRectList
     * @param score
     */
    public FoundRect(PagedRect[] pRectList, double score){
        pRectList_  = pRectList;
        score_ = score;
    }
    
//    public FoundRect(PagedRect[] pRectList, double score, int lineNo, int slitNo){
//        pRectList_  = pRectList;
//        score_ = score;
//        lineNo_ = lineNo;
//        slitNo_ = slitNo;
//    }
    
    /**
     * <p></p>
     * @return
     */
    public double getscore(){
    	return score_;
    }
    
    /**
     * <p></p>
     * @return
     */
    public PagedRect[] getPRects(){
		return pRectList_;
    }


}
